# Interface Catalina.ServerXml

Enclosing class:
  `Catalina`

public static interface Catalina.ServerXml
Interface for generated server XML loading classes.

## Method Summary

Modifier and Type
Method
Description
`void`
`load(Catalina catalina)`
Load the server configuration into the specified Catalina instance.

## Method Details

### load

void load(Catalina catalina) throws Exception
Load the server configuration into the specified Catalina instance.

Parameters:
  `catalina` - The Catalina instance
Throws:
  `Exception` - if an error occurs during loading